%define anolis_release 1
%define efivar_version 35-2

Name: efibootmgr
Version: 18 
Release: %{anolis_release}%{?dist}
Summary: EFI Boot Manager
License: GPLv2+
URL: https://github.com/rhboot/%{name}/
Source0: https://github.com/rhboot/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires: efi-srpm-macros >= 3-2
BuildRequires: efi-filesystem
BuildRequires: git popt-devel
BuildRequires: efivar-libs >= %{efivar_version}
BuildRequires: efivar-devel >= %{efivar_version}
BuildRequires: gcc
BuildRequires: make
Requires: efi-filesystem
ExclusiveArch: %{efi}

%description
%{name} displays and allows the user to edit the Intel Extensible
Firmware Interface (EFI) Boot Manager variables.  Additional
information about EFI can be found at https://uefi.org/.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -S git
git config --local --add efibootmgr.efidir %{efi_vendor}

%build
%make_build CFLAGS='%{optflags}' LDFLAGS='%{build_ldflags}'

%install
%make_install libdir=%{_libdir} bindir=%{_bindir} mandir=%{_mandir} \
	      localedir=%{_datadir}/locale/ includedir=%{_includedir} \
	      libexecdir=%{_libexecdir} datadir=%{_datadir}

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%{_sbindir}/*
%{abidir}/*-option.list
%{_mandir}/man8/*

%files doc
%doc README AUTHORS

%changelog
* Fri Dec 23 2022 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 18-1
- Update to version 18

* Mon Oct 31 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 17-2
- optimise spec file & add doc package

* Wed Mar  9 2022 zl01087097 <zl01087097@alibaba-inc.com> - 17-1
- upstream version 17
